<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.xplora.xpsettings"
    tools:ignore="ExtraText"
    android:sharedUserId="android.uid.system"
    >

    <!--
        android:sharedUserId="android.uid.system"
        -->

    <!-- 使用网络 -->
    <uses-permission android:name="android.permission.INTERNET" /> <!-- 网络状态 -->
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" /> <!-- wifi状态权限 -->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" /> <!-- 位置信息 -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" /> <!-- 如果是安卓10.0，需要后台获取连接的wifi名称则添加进程获取位置信息权限 -->
    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION" /> <!-- android 10.0使用wifi api新添加的权限 -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE"/>
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission android:name="android.permission.MODIFY_PHONE_STATE"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.READ_PRIVILEGED_PHONE_STATE"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.WRITE_SECURE_SETTINGS"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.REBOOT"
        tools:ignore="ProtectedPermissions" />
    <!--蓝牙权限-->
    <uses-permission android:name="android.permission.BLUETOOTH_CONNECT" />
    <uses-permission android:name="android.permission.BLUETOOTH_SCAN" />
    <uses-permission android:name="android.permission.BLUETOOTH"/>
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN"/>
    <uses-permission android:name="android.permission.BLUETOOTH_ADVERTISE"/>
    <!--定位权限-->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-feature android:name="android.hardware.bluetooth_le" android:required="true" />

    <uses-permission android:name="android.permission.SHUTDOWN"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.WRITE_APN_SETTINGS"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.ACCESS_NOTIFICATION_POLICY"/>

    <uses-permission android:name="com.xplora.provider" />
    <uses-permission android:name="com.xplora.receiver" />

    <permission
        android:name="com.xplora.permission.localsocket"
        android:protectionLevel="signature"/>
    <uses-permission android:name="com.xplora.permission.localsocket"/>

    <application
        android:name=".Data.DataManager"
        android:allowBackup="true"
        android:icon="@drawable/icon_setting"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/Theme.XploraWatch">
        <meta-data
            android:name="com.google.android.actions"
            android:resource="@xml/keyboard_abc" />

        <activity
            android:name=".Activity.SettingsActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:launchMode="singleInstance">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".Activity.WiFiActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance"
            android:exported="true">
            <intent-filter android:priority="3">
                <action android:name="android.settings.WIFI_SETTINGS" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name=".Activity.WifiLoginActivity"
            android:exported="false"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.ConnectionsControlActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.BluetoothActivity"
            android:configChanges="keyboardHidden|orientation|screenSize|navigation"
            android:launchMode="singleInstance"
            android:exported="true">
            <intent-filter android:priority="3">
                <action android:name="android.settings.BLUETOOTH_SETTINGS"/>
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name=".Activity.AboutActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.AdjustGridActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.AdjustSeekbarActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.ScreenTimeActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.RestoreActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.SoftwareVersionActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.SoftwareUpdatingActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.GotoWiFiActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.TestToolsActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.ConnectionsActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.TelephoneActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.DataRoamingActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.DisplayActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.SoundModeActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.RingToneActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.VolumeActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.LanguageActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.CameraActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.TimeFormatActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.VoLTEActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.CameraResolutionActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.ApnListActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.ApnEditActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.ApnDeleteActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.SourceAnnouncementActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.PrivacyPolicyActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.BlackDoorPasswordActivity"
            android:exported="true"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.AddWatchFaceActivity"
            android:exported="false"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.AlertActivity"
            android:exported="false"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.SystemActivity"
            android:exported="false"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
        <activity
            android:name=".Activity.OpenCloseActivity"
            android:exported="false"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleInstance" />
    </application>

</manifest>
